# Method: loyaltyclass.insert

- [HTTP request](https://developers.google.com/wallet/reference/rest/v1/loyaltyclass/insert#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/wallet/reference/rest/v1/loyaltyclass/insert#body.request_body)
- [Response body](https://developers.google.com/wallet/reference/rest/v1/loyaltyclass/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/wallet/reference/rest/v1/loyaltyclass/insert#body.aspect)

Inserts an loyalty class with the given ID and properties.

### HTTP request

`POST https://walletobjects.googleapis.com/walletobjects/v1/loyaltyClass`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://developers.google.com/wallet/reference/rest/v1/loyaltyclass#LoyaltyClass`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/wallet/reference/rest/v1/loyaltyclass#LoyaltyClass`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/wallet_object.issuer`